#!/usr/bin/env python
# coding: utf-8

import pluginInterfaces as pi
import utils
import video as vid

class Debug(pi.IConsumerPlugin):
    """
    Plugin to help knowing the state of prismedia and its variables.
    """

    def prepare_options(self, video, options):
        print("Debug plugin prepare_options:")
        print("Video: ", video)
        print("Options: ", options)

        return True

    def finished(self, video, options):
        print("Debug plugin finished:")
        print("Video: ", video)
        print("Options: ", options)
